Bug 185452 - [PATCH] security/maia: lots of fixes
Summary: [PATCH] security/maia: lots of fixes
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-03 18:40 UTC by Mark Felder
Modified: 2014-01-19 23:30 UTC (History)
0 users

See Also:


Attachments
file.diff (17.36 KB, patch)
2014-01-03 18:40 UTC, Mark Felder
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Felder freebsd_committer 2014-01-03 18:40:00 UTC
security/maia has a lot of problems. One in particular right now is that the maintenance scripts that should be run regularly from cron are not even installed.

This patch provides the following:

- put the scripts in DATADIR
- proper WWWOWN and WWWGRP usage
- ETCDIR usage; config files are now in ${PREFIX}/etc/maia/
- template files are probably going to be edited by the users. Now they're in ${ETCDIR}/templates/
- STAGE support
- MYSQLSERVER option is now: USE_MYSQL= server
- PGSQLSERVER option is now: USE_PGSQL= server
- lots of cleanup
- several installation tasks should not have been silenced (prefixed with @)
- rc script passes rclint
- rc script handles the creation of several important directories in start_precmd
- config files and templates are not overwritten on port upgrade if they have been modified


On a clean server you can now successfully do:

# pkg install maia
# service maiad onestart

and the service will start up with no errors!

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2014-01-03 18:40:09 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2014-01-03 18:40:09 UTC
Maintainer of security/maia,

Please note that PR ports/185452 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/185452

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 ek 2014-01-09 03:04:53 UTC
	Thanks for submitting this. I've been meaning to get around to updating 
this port for quite some time but due to the fact that the project is 
pretty much dead, I haven't been able to fully devote myself. I don't 
see any issue(s) with the patch at all so I will approve the PR.

	Just an FYI, the line you left in the startup script (which is still 
needed) with the "Not sure why the original maintainer added this" is to 
wipe out the temporary e-mails that Maia scans and doesn't release or 
delete itself. It's not necessarily a "bug", but some temporary files 
will remain infinitely so it is advised to just wipe the directory 
periodically. This keeps the file system from becoming full over time.

Regards,
Janky Jay, III

On 01/03/2014 11:40 AM, Edwin Groothuis wrote:
> Maintainer of security/maia,
>
> Please note that PR ports/185452 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>      http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/185452
>
Comment 4 John Marino freebsd_committer 2014-01-19 14:52:05 UTC
State Changed
From-To: feedback->open

Maintainer has approved.
Comment 5 dfilter service freebsd_committer 2014-01-19 23:21:39 UTC
Author: feld
Date: Sun Jan 19 23:21:30 2014
New Revision: 340357
URL: http://svnweb.freebsd.org/changeset/ports/340357
QAT: https://qat.redports.org/buildarchive/r340357/

Log:
  - put the scripts in DATADIR
  - proper WWWOWN and WWWGRP usage
  - ETCDIR usage; config files are now in ${PREFIX}/etc/maia/
  - template files are probably going to be edited by the users. Now
  they're in ${ETCDIR}/templates/
  - STAGE support
  - MYSQLSERVER option is now: USE_MYSQL= server
  - PGSQLSERVER option is now: USE_PGSQL= server
  - lots of cleanup
  - several installation tasks should not have been silenced (prefixed
  with @)
  - rc script passes rclint
  - rc script handles the creation of several important directories in
  start_precmd
  - config files and templates are not overwritten on port upgrade if they
  have been modified
  
  PR:		ports/185452
  Approved by:	swills (mentor)

Deleted:
  head/security/maia/files/pkg-deinstall.in
  head/security/maia/files/pkg-install.in
Modified:
  head/security/maia/Makefile
  head/security/maia/files/maiad.in
  head/security/maia/pkg-plist

Modified: head/security/maia/Makefile
==============================================================================
--- head/security/maia/Makefile	Sun Jan 19 23:01:59 2014	(r340356)
+++ head/security/maia/Makefile	Sun Jan 19 23:21:30 2014	(r340357)
@@ -3,7 +3,7 @@
 
 PORTNAME=	maia
 DISTVERSION=	1.0.3-${SVNREVISION}
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	security
 MASTER_SITES=	http://www.purplehat.org/downloads/maia/
 
@@ -35,9 +35,10 @@ DOCS=	LICENSE README maiad.conf.dist mai
 
 USERS=	vscan
 GROUPS=	vscan
-MAIADIR?=	/var/maiad
+MAIAHOME=	/var/maiad
 MAIAQUARANTINE?=	/var/maiad/virusmails
 PEAR_DIR?=	${LOCALBASE}/share/pear
+PLIST_SUB+=	USERS="${USERS}" GROUPS="${GROUPS}" WWWOWN="${WWWOWN}" WWWGRP="${WWWGRP}"
 
 OPTIONS_DEFINE=	APACHE LIGHTTPD WEBHOST MYSQL MYSQLSERVER PGSQL PGSQLSERVER DOVECOT \
 		POSTFIX PFA FUZZYOCR CLAMAV SPAMASSASSIN GRAPHICS BDB ALTERMIME CRYPT \
@@ -83,14 +84,14 @@ FREEZE_DESC=		FREEZE support with archiv
 P7ZIP_DESC=		P7ZIP support with archivers/p7zip
 TNEF_DESC=		Add external tnef decoder
 
-SUB_FILES=	pkg-install pkg-deinstall pkg-message
-SUB_LIST+=	MAIAUSER=${USERS} \
-		MAIAGROUP=${GROUPS} \
-		MAIADIR=${MAIADIR} \
-		MAIAQUARANTINE=${MAIAQUARANTINE}
+SUB_FILES=	maiad pkg-message
+SUB_LIST+=	USERS=${USERS} \
+		GROUPS=${GROUPS} \
+		MAIAHOME=${MAIAHOME} \
+		MAIAQUARANTINE=${MAIAQUARANTINE} \
+		ETCDIR=${ETCDIR}
 USE_RC_SUBR+=	maiad
 
-NO_STAGE=	yes
 .include <bsd.port.options.mk>
 
 # Code is a bit fiddly here; we can't use USE variables after pre.mk so we have
@@ -117,8 +118,6 @@ USE_PGSQL=	yes
 USE_PHP+=	pgsql
 .endif
 
-.include <bsd.port.pre.mk>
-
 .if ${PORT_OPTIONS:MLIGHTTPD}
 RUN_DEPENDS+=	lighttpd:${PORTSDIR}/www/lighttpd
 .endif
@@ -139,7 +138,7 @@ RUN_DEPENDS+=	p5-DBD-mysql>=0:${PORTSDIR
 .endif
 
 .if ${PORT_OPTIONS:MMYSQLSERVER}
-RUN_DEPENDS+=	${LOCALBASE}/bin/mysqld_safe:${PORTSDIR}/databases/mysql55-server
+USE_MYSQL=	server
 .endif
 
 .if ${PORT_OPTIONS:MPGSQL}
@@ -147,7 +146,7 @@ RUN_DEPENDS+=	p5-DBD-Pg>=0:${PORTSDIR}/d
 .endif
 
 .if ${PORT_OPTIONS:MPGSQLSERVER}
-RUN_DEPENDS+=	${LOCALBASE}/bin/pg_ctl:${PORTSDIR}/databases/postgresql84-server
+USE_PGSQL=	server
 .endif
 
 .if ${PORT_OPTIONS:MDOVECOT}
@@ -282,85 +281,65 @@ RUN_DEPENDS+=	7zr:${PORTSDIR}/archivers/
 RUN_DEPENDS+=	tnef:${PORTSDIR}/converters/tnef
 .endif
 
+.include <bsd.port.pre.mk>
+
 post-patch:
 .for m in scripts/configtest.pl scripts/expire-quarantine-cache.pl \
 	scripts/generate-key.pl scripts/load-sa-rules.pl scripts/maiadbtool.pl \
 	scripts/process-quarantine.pl scripts/resend.pl scripts/send-quarantine-digests.pl \
 	scripts/send-quarantine-reminders.pl scripts/stats-snapshot.pl
-		@${REINPLACE_CMD} -e "s|/etc/maia/maia.conf|${PREFIX}/etc/maia.conf|" \
+		@${REINPLACE_CMD} -e "s|/etc/maia/maia.conf|${ETCDIR}/maia.conf|" \
 			${WRKSRC}/${m}
+.endfor
 
+.for i in digest.tpl newuser.tpl reminder.tpl
+	${MV} ${WRKSRC}/templates/${i} ${WRKSRC}/templates/${i}.dist
 .endfor
-.for a in maiad.conf.dist
+
 	@${REINPLACE_CMD} -e "s|daemon_user  = 'maia'|daemon_user  = '${USERS}'|" \
 		-e "s|daemon_group = 'maia'|daemon_group = '${GROUPS}'|" \
-		-e "s|/var/lib/maia|${MAIADIR}|" \
-		-e "s|/var/log/maia|${MAIADIR}|" ${WRKSRC}/${a}
-.endfor
-.for i in maia.conf.dist
-	@${REINPLACE_CMD} -e "s|/etc/maia.conf|${PREFIX}/etc/maia.conf|" \
+		-e "s|/var/lib/maia|${MAIAHOME}|" ${WRKSRC}/maiad.conf.dist
+
+	@${REINPLACE_CMD} -e "s|/etc/maia.conf|${ETCDIR}/maia.conf|" \
 		-e "s|username = 'maia'|username = '${USERS}'|" \
-		-e "s|/var/lib/maia|${MAIADIR}/maia|" \
-		-e "s|/usr/bin/sa-learn|/usr/local/bin/sa-learn|" \
+		-e "s|/var/lib/maia|${DATADIR}|" \
+		-e "s|/usr/bin/sa-learn|${PREFIX}/bin/sa-learn|" \
 		-e "s|local_cf_dir = undef|local_cf_dir = '${PREFIX}/etc/mail/spamassassin'|" \
 		-e "s|system_rules_dir = undef|system_rules_dir = '/var/db/spamassassin'|" \
-		-e "s|user_rules_dir = undef|user_rules_dir = '${MAIADIR}/.spamassassin'|" \
-		-e "s|pid_dir = '/var/run/maia/'|pid_dir = '${MAIADIR}/'|" \
-		-e "s|log_dir = '/var/log/maia'|log_dir = '${MAIADIR}'|" \
-		-e "s|template_dir = '/etc/maia/templates/'|template_dir = '${MAIADIR}/maia/templates/'|" \
-			${WRKSRC}/${i}
-.endfor
-.for a in maiad
-	@${REINPLACE_CMD} -e "s|/etc/maia/maiad.conf|${PREFIX}/etc/maiad.conf|" \
-		-e "s|/var/lib/maia|${MAIADIR}|" \
-		-e "s@'zoo'\]@['zoo','unzoo'] ]@" ${WRKSRC}/${a}
-.endfor
-	@${FIND} -E ${WRKSRC} -iregex '.*(bak|~)$$' -delete
+		-e "s|user_rules_dir = undef|user_rules_dir = '${DATADIR}/.spamassassin'|" \
+		-e "s|template_dir = '/etc/maia/templates/'|template_dir = '${ETCDIR}/templates/'|" \
+			${WRKSRC}/maia.conf.dist
+
+	@${REINPLACE_CMD} -e "s|/etc/maia/maiad.conf|${ETCDIR}/maiad.conf|" \
+		-e "s|/var/lib/maia|${DATADIR}|" \
+		-e "s@'zoo'\]@['zoo','unzoo'] ]@" ${WRKSRC}/maiad
 
-pre-install:
-	@${SH} ${PKGINSTALL} ${DISTNAME} PRE-INSTALL
+	@${FIND} -E ${WRKSRC} -iregex '.*(bak|~)$$' -delete
 
 do-install:
-	@${INSTALL} -d ${WWWDIR}
-	@cd ${WRKSRC}/php && ${FIND} . | ${CPIO} --quiet -pdm -L ${WWWDIR}
-	@cd ${WRKSRC}/scripts && ${FIND} . | ${CPIO} --quiet -pdm -L ${MAIADIR}/maia/scripts
-	@cd ${WRKSRC}/templates && ${FIND} . | ${CPIO} --quiet -pdm -L ${MAIADIR}/maia/templates
-
-.for i in maiad
-	@${INSTALL_SCRIPT} ${WRKSRC}/${i} ${PREFIX}/sbin
+	${MKDIR} -p ${STAGEDIR}${WWWDIR}
+	@cd ${WRKSRC}/php && ${COPYTREE_SHARE} . ${STAGEDIR}${WWWDIR}
+	${MKDIR} -p ${STAGEDIR}${DATADIR}
+	@cd ${WRKSRC}/scripts && ${COPYTREE_SHARE} . ${STAGEDIR}${DATADIR}/scripts
+	${MKDIR} -p ${STAGEDIR}${ETCDIR}/templates
+.for i in digest.tpl newuser.tpl reminder.tpl
+	${INSTALL} -m 644 ${WRKSRC}/templates/${i}.dist ${STAGEDIR}${ETCDIR}/templates
 .endfor
-	@${INSTALL_SCRIPT} -m 640 ${WRKSRC}/maiad.conf.dist ${PREFIX}/etc/maiad.conf.dist
-	@${INSTALL_SCRIPT} -m 640 ${WRKSRC}/maia.conf.dist ${PREFIX}/etc/maia.conf.dist
-#
-#  This can contain sensitive information, e.g. SQL passwords, so it should be handled
-#  with care.
-#
-.if !exists(${PREFIX}/www/${PORTNAME}/config.php)
-	@${INSTALL} -o ${WWWOWN} -g ${WWWGRP} -m 640 \
-		${WRKSRC}/php/config.php.dist \
-		${PREFIX}/www/${PORTNAME}/config.php
-.endif
+	${INSTALL_SCRIPT} ${WRKSRC}/maiad ${STAGEDIR}${PREFIX}/sbin
+	${INSTALL} -m 644 ${WRKSRC}/maiad.conf.dist ${STAGEDIR}${ETCDIR}/maiad.conf.dist
+	${INSTALL} -m 644 ${WRKSRC}/maia.conf.dist ${STAGEDIR}${ETCDIR}/maia.conf.dist
+	${CHOWN} ${WWWOWN}:${WWWGRP} ${STAGEDIR}${WWWDIR}/themes/*/compiled
+	${LN} -s ${PREFIX}/share/smarty ${STAGEDIR}${WWWDIR}/libs/Smarty
+
 .if ${PORT_OPTIONS:MDOCS}
-	@${MKDIR} ${DOCSDIR}
+	${MKDIR} ${STAGEDIR}${DOCSDIR}
 .for i in ${DOCS}
-	@${INSTALL_DATA} ${WRKSRC}/${i} ${DOCSDIR}
+	${INSTALL_DATA} ${WRKSRC}/${i} ${STAGEDIR}${DOCSDIR}
 .endfor
 .endif
 
 post-install:
-.for maiaconf in maia maiad
-	@if [ ! -f ${PREFIX}/etc/${maiaconf}.conf ]; then \
-		${CP} -p ${PREFIX}/etc/${maiaconf}.conf.dist \
-		${PREFIX}/etc/${maiaconf}.conf ; \
-	fi
-	@${CHOWN} ${USERS}:${GROUPS} ${PREFIX}/etc/${maiaconf}.conf \
-		${PREFIX}/etc/${maiaconf}.conf.dist
-.endfor
-	@${CHOWN} -R ${WWWOWN}:${WWWGRP} ${WWWDIR}
-	@${CHOWN} -R ${USERS}:${GROUPS} ${MAIADIR}/
-	@${ECHO_CMD} '@exec ${CHOWN} -R ${WWWOWN}:${WWWGRP} ${WWWDIR}' >> ${TMPPLIST}
-	@${ECHO_CMD} '@exec ${CHOWN} -R ${USERS}:${GROUPS} ${MAIADIR}' >> ${TMPPLIST}
-	@${LN} -s ${PREFIX}/share/smarty ${PREFIX}/www/${PORTNAME}/libs/Smarty
 	@${CAT} ${PKGMESSAGE}
 
 .include <bsd.port.post.mk>
+

Modified: head/security/maia/files/maiad.in
==============================================================================
--- head/security/maia/files/maiad.in	Sun Jan 19 23:01:59 2014	(r340356)
+++ head/security/maia/files/maiad.in	Sun Jan 19 23:21:30 2014	(r340357)
@@ -13,34 +13,39 @@
 
 . /etc/rc.subr
 
-name="maiad"
+name=maiad
 rcvar=maiad_enable
 
 load_rc_config $name
 
-: ${maiad_enable="NO"}
-: ${maiad_pidfile="%%MAIADIR%%/maiad.pid"}
+: ${maiad_enable:=NO}
+: ${maiad_pidfile="/var/run/maia/maiad.pid"}
 
-required_files=%%PREFIX%%/etc/maiad.conf
-
-start_cmd=${name}_start
-stop_cmd=${name}_stop
+required_files=%%ETCDIR%%/maiad.conf
 
+start_cmd="%%PREFIX%%/sbin/maiad start"
+start_precmd="start_precmd"
+extra_commands="status"
 pidfile=${maiad_pidfile}
-procname=${maiad_procname}
-
-start_precmd=${name}_prestart
-
-maiad_prestart() {
-	rm -rf %%MAIADIR%%/tmp/* %%MAIADIR%%/tmp/.* 2>/dev/null || true
-}
+procname=maiad
 
-maiad_start() {
-	%%PREFIX%%/sbin/maiad start
-}
+start_precmd()
+{
+	for i in db tmp var virusmails; do
+		if [ ! -e %%MAIAHOME%%/${i} ]; then
+			install -d -o %%USERS%% -g %%GROUPS%% -m 750 %%MAIAHOME%%/${i}
+		fi
+	done
+			
+	for i in log run lock; do
+		if [ ! -e /var/${i}/maia ]; then
+			install -d -o %%USERS%% -g %%GROUPS%% /var/${i}/maia
+		fi
+	done
 
-maiad_stop() {
-	%%PREFIX%%/sbin/maiad stop
+	# not sure why, but previous maintainer had this in the rc script
+	rm -rf %%MAIAHOME%%/tmp/* %%MAIAHOME%%/tmp/.* 2>/dev/null || true
 }
 
 run_rc_command "$1"
+

Modified: head/security/maia/pkg-plist
==============================================================================
--- head/security/maia/pkg-plist	Sun Jan 19 23:01:59 2014	(r340356)
+++ head/security/maia/pkg-plist	Sun Jan 19 23:21:30 2014	(r340357)
@@ -1,9 +1,33 @@
-@unexec if cmp -s %D/etc/maiad.conf.dist %D/etc/maiad.conf; then rm -f %D/etc/maiad.conf; fi
-etc/maiad.conf.dist
-@exec if [ ! -f %D/etc/maiad.conf ] ; then cp -p %D/%F %B/maiad.conf; fi
-@unexec if cmp -s %D/etc/maia.conf.dist %D/etc/maia.conf; then rm -f %D/etc/maia.conf; fi
-etc/maia.conf.dist
-@exec if [ ! -f %D/etc/maia.conf ] ; then cp -p %D/%F %B/maia.conf; fi
+@unexec cmp -s %D/%%ETCDIR%%/maiad.conf.dist %D/%%ETCDIR%%/maiad.conf && rm -f %D/%%ETCDIR%%/maiad.conf || true
+@exec if [ ! -f %D/%%ETCDIR%%/maiad.conf ] ; then cp -p %D/%%ETCDIR%%/maiad.conf.dist %D/%%ETCDIR%%/maiad.conf; fi
+@unexec cmp -s %D/%%ETCDIR%%/maia.conf.dist %D/%%ETCDIR%%/maia.conf && rm -f %D/%%ETCDIR%%/maia.conf || true
+@exec if [ ! -f %D/%%ETCDIR%%/maia.conf ] ; then cp -p %D/%%ETCDIR%%/maia.conf.dist %D/%%ETCDIR%%/maia.conf; fi
+@unexec cmp -s %D/%%ETCDIR%%/templates/digest.tpl.dist %D/%%ETCDIR%%/templates/digest.tpl && rm -f %D/%%ETCDIR%%/templates/digest.tpl || true
+@exec if [ ! -f %D/%%ETCDIR%%/templates/digest.tpl ] ; then cp -p %D/%%ETCDIR%%/templates/digest.tpl.dist %D/%%ETCDIR%%/templates/digest.tpl; fi
+@unexec cmp -s %D/%%ETCDIR%%/templates/newuser.tpl.dist %D/%%ETCDIR%%/templates/newuser.tpl && rm -f %D/%%ETCDIR%%/templates/newuser.tpl || true
+@exec if [ ! -f %D/%%ETCDIR%%/templates/newuser.tpl ] ; then cp -p %D/%%ETCDIR%%/templates/newuser.tpl.dist %D/%%ETCDIR%%/templates/newuser.tpl; fi
+@unexec cmp -s %D/%%ETCDIR%%/templates/reminder.tpl.dist %D/%%ETCDIR%%/templates/reminder.tpl && rm -f %D/%%ETCDIR%%/templates/reminder.tpl || true
+@exec if [ ! -f %D/%%ETCDIR%%/templates/reminder.tpl ] ; then cp -p %D/%%ETCDIR%%/templates/reminder.tpl.dist %D/%%ETCDIR%%/templates/reminder.tpl; fi
+@unexec cmp -s %D/www/maia/config.php.dist %D/www/maia/config.php && rm -f %D/www/maia/config.php || true
+@exec if [ ! -f %D/www/maia/config.php ] ; then cp -p %D/www/maia/config.php.dist %D/www/maia/config.php; fi
+@exec install -d -o %%WWWOWN%% -g %%WWWGRP%% %D/www/maia/themes/desert_sand/compiled
+@exec install -d -o %%WWWOWN%% -g %%WWWGRP%% %D/www/maia/themes/dgm/compiled
+@exec install -d -o %%WWWOWN%% -g %%WWWGRP%% %D/www/maia/themes/ocean_surf/compiled
+%%ETCDIR%%/maia.conf.dist
+%%ETCDIR%%/maiad.conf.dist
+%%ETCDIR%%/templates/digest.tpl.dist
+%%ETCDIR%%/templates/newuser.tpl.dist
+%%ETCDIR%%/templates/reminder.tpl.dist
+share/maia/scripts/configtest.pl
+share/maia/scripts/expire-quarantine-cache.pl
+share/maia/scripts/generate-key.pl
+share/maia/scripts/load-sa-rules.pl
+share/maia/scripts/maiadbtool.pl
+share/maia/scripts/process-quarantine.pl
+share/maia/scripts/resend.pl
+share/maia/scripts/send-quarantine-digests.pl
+share/maia/scripts/send-quarantine-reminders.pl
+share/maia/scripts/stats-snapshot.pl
 sbin/maiad
 %%PORTDOCS%%%%DOCSDIR%%/LICENSE
 %%PORTDOCS%%%%DOCSDIR%%/README
@@ -47,9 +71,6 @@ sbin/maiad
 %%WWWDIR%%/chart_rules.php
 %%WWWDIR%%/chart_stats.php
 %%WWWDIR%%/chart_virus.php
-@unexec if cmp -s %D/www/maia/config.php.dist %D/www/maia/config.php; then rm -f %D/www/maia/config.php; fi
-%%WWWDIR%%/config.php.dist
-@exec if [ ! -f %D/www/maia/config.php ] ; then cp -p %D/%F %B/config.php; fi
 %%WWWDIR%%/config.php.dist
 %%WWWDIR%%/confirm.php
 %%WWWDIR%%/constants.php
@@ -895,53 +916,58 @@ sbin/maiad
 %%WWWDIR%%/ximpersonate.php
 %%WWWDIR%%/xlogin.php
 %%WWWDIR%%/xsettings.php
-@dirrm %%WWWDIR%%/themes/ocean_surf/templates/settings
-@dirrm %%WWWDIR%%/themes/ocean_surf/templates
-@dirrm %%WWWDIR%%/themes/ocean_surf/javascript
-@dirrm %%WWWDIR%%/themes/ocean_surf/images
-@dirrm %%WWWDIR%%/themes/ocean_surf/css/images
-@dirrm %%WWWDIR%%/themes/ocean_surf/css
-@dirrm %%WWWDIR%%/themes/ocean_surf/compiled
-@dirrm %%WWWDIR%%/themes/ocean_surf/code
-@dirrm %%WWWDIR%%/themes/ocean_surf
-@dirrm %%WWWDIR%%/themes/dgm/templates
-@dirrm %%WWWDIR%%/themes/dgm/images
-@dirrm %%WWWDIR%%/themes/dgm/css
-@dirrm %%WWWDIR%%/themes/dgm/compiled
-@dirrm %%WWWDIR%%/themes/dgm/code
-@dirrm %%WWWDIR%%/themes/dgm
-@dirrm %%WWWDIR%%/themes/desert_sand/templates/welcome
-@dirrm %%WWWDIR%%/themes/desert_sand/templates/settings
-@dirrm %%WWWDIR%%/themes/desert_sand/templates
-@dirrm %%WWWDIR%%/themes/desert_sand/javascript
-@dirrm %%WWWDIR%%/themes/desert_sand/images
-@dirrm %%WWWDIR%%/themes/desert_sand/css/images
-@dirrm %%WWWDIR%%/themes/desert_sand/css
-@dirrm %%WWWDIR%%/themes/desert_sand/compiled
-@dirrm %%WWWDIR%%/themes/desert_sand/code
-@dirrm %%WWWDIR%%/themes/desert_sand
-@dirrm %%WWWDIR%%/themes
-@dirrm %%WWWDIR%%/overlib/mini
-@dirrm %%WWWDIR%%/overlib
-@dirrm %%WWWDIR%%/maia_db
-@dirrm %%WWWDIR%%/locale/sv
-@dirrm %%WWWDIR%%/locale/ru
-@dirrm %%WWWDIR%%/locale/pt
-@dirrm %%WWWDIR%%/locale/no
-@dirrm %%WWWDIR%%/locale/nl
-@dirrm %%WWWDIR%%/locale/it
-@dirrm %%WWWDIR%%/locale/hu
-@dirrm %%WWWDIR%%/locale/fr
-@dirrm %%WWWDIR%%/locale/en
-@dirrm %%WWWDIR%%/locale/de
-@dirrm %%WWWDIR%%/locale/da
-@dirrm %%WWWDIR%%/locale/cs
-@dirrm %%WWWDIR%%/locale
-@dirrm %%WWWDIR%%/libs/jquery/images
-@dirrm %%WWWDIR%%/libs/jquery
-@dirrm %%WWWDIR%%/libs
-@dirrm %%WWWDIR%%/images
-@dirrm %%WWWDIR%%/admin/scripts
-@dirrm %%WWWDIR%%/admin
+@dirrmtry %%WWWDIR%%/themes/ocean_surf/templates/settings
+@dirrmtry %%WWWDIR%%/themes/ocean_surf/templates
+@dirrmtry %%WWWDIR%%/themes/ocean_surf/javascript
+@dirrmtry %%WWWDIR%%/themes/ocean_surf/images
+@dirrmtry %%WWWDIR%%/themes/ocean_surf/css/images
+@dirrmtry %%WWWDIR%%/themes/ocean_surf/css
+@dirrmtry %%WWWDIR%%/themes/ocean_surf/compiled
+@dirrmtry %%WWWDIR%%/themes/ocean_surf/code
+@dirrmtry %%WWWDIR%%/themes/ocean_surf
+@dirrmtry %%WWWDIR%%/themes/dgm/templates
+@dirrmtry %%WWWDIR%%/themes/dgm/images
+@dirrmtry %%WWWDIR%%/themes/dgm/css
+@dirrmtry %%WWWDIR%%/themes/dgm/compiled
+@dirrmtry %%WWWDIR%%/themes/dgm/code
+@dirrmtry %%WWWDIR%%/themes/dgm
+@dirrmtry %%WWWDIR%%/themes/desert_sand/templates/welcome
+@dirrmtry %%WWWDIR%%/themes/desert_sand/templates/settings
+@dirrmtry %%WWWDIR%%/themes/desert_sand/templates
+@dirrmtry %%WWWDIR%%/themes/desert_sand/javascript
+@dirrmtry %%WWWDIR%%/themes/desert_sand/images
+@dirrmtry %%WWWDIR%%/themes/desert_sand/css/images
+@dirrmtry %%WWWDIR%%/themes/desert_sand/css
+@dirrmtry %%WWWDIR%%/themes/desert_sand/compiled
+@dirrmtry %%WWWDIR%%/themes/desert_sand/code
+@dirrmtry %%WWWDIR%%/themes/desert_sand
+@dirrmtry %%WWWDIR%%/themes
+@dirrmtry %%WWWDIR%%/overlib/mini
+@dirrmtry %%WWWDIR%%/overlib
+@dirrmtry %%WWWDIR%%/maia_db
+@dirrmtry %%WWWDIR%%/locale/sv
+@dirrmtry %%WWWDIR%%/locale/ru
+@dirrmtry %%WWWDIR%%/locale/pt
+@dirrmtry %%WWWDIR%%/locale/no
+@dirrmtry %%WWWDIR%%/locale/nl
+@dirrmtry %%WWWDIR%%/locale/it
+@dirrmtry %%WWWDIR%%/locale/hu
+@dirrmtry %%WWWDIR%%/locale/fr
+@dirrmtry %%WWWDIR%%/locale/en
+@dirrmtry %%WWWDIR%%/locale/de
+@dirrmtry %%WWWDIR%%/locale/da
+@dirrmtry %%WWWDIR%%/locale/cs
+@dirrmtry %%WWWDIR%%/locale
+@dirrmtry %%WWWDIR%%/libs/jquery/images
+@dirrmtry %%WWWDIR%%/libs/jquery
+@dirrmtry %%WWWDIR%%/libs
+@dirrmtry %%WWWDIR%%/images
+@dirrmtry %%WWWDIR%%/admin/scripts
+@dirrmtry %%WWWDIR%%/admin
 @dirrmtry %%WWWDIR%%
-%%PORTDOCS%%@dirrm %%DOCSDIR%%
+@dirrmtry %%DATADIR%%/scripts
+@dirrmtry %%DATADIR%%
+@dirrmtry %%ETCDIR%%/templates
+@dirrmtry %%ETCDIR%%
+%%PORTDOCS%%@dirrmtry %%DOCSDIR%%
+
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Mark Felder freebsd_committer 2014-01-19 23:22:49 UTC
State Changed
From-To: open->closed

Committed. Thanks!